Subject: bug#22554: 24.5; enriched-mode: C-S-a/S-Home doesn't mark to beginning of line

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 07 Feb 2021 18:15:17 +0100

Eli Zaretskii <[email-masked]> writes:

>> > After launching Emacs with ‘emacs -Q’, typing “C-x b newbuffer M-x
>> > enriched-mode”, then “||abcdefgfoo” followed by C-S-a or S-<Home>,
>> > point returns to the ‘a’ with nothing highlighted.
>> 
>> (I'm going through old bug reports that unfortunately got little
>> response at the time.)
>> 
>> `C-S-a' is not supposed to highlight anything
>
> But C-S-e does, and so is S-<End>.  So I'm guessing the OP expected
> some 'symmetry" here wrt shift-selection when moving point with Shift
> pressed.

Oh, sorry, I was thinking `C-M-a', not `C-S-a'.  Yes, `C-S-a' is
supposed to do the selection thing, and does in text-mode, but not in
enriched-mode.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no